package com.YuyeTech.TPlat.enums;

import lombok.Getter;

/**
 * @author:slambb
 * @date:2019/12/5
 */
@Getter
public enum UserEnum implements CodeEnum {
    USER_ADD(0, "添加用户成功"),
    USER_UPDATE(200, "更新用户数据成功"),
    USER_NOT_EXIST(201, "请求参数userId为null"),
    USER_REGISTER_ERROR(202, "用户注册失败"),
    USER_NOT_PHONE_NUMBER(203, "用户手机号不存在"),
    USER_PASSWORD_ERROR(204, "用户密码错误"),
    USER_CODE_ERROR(205, "验证码错误"),
    USER_PARAMETER_NOT_PRESENT(500, "形参没有对应的参数"),
    FITNESS_NOT_DATA(206 , "fitness没有对应信息"),
    RECENTLY_ADD_ERROR(210,"最近数据保存错误"),
    USER_DEFAULT_NULL(211,"默认头像为null"),
    USER_HAS_REGISTER_WX(212,"微信已被使用"),
    USER_HAS_REGISTER_PHONE(213,"手机号已被使用"),
    USER_NOT_FAVORITES(214,"没有收藏的数据"),
    USER_NOT_RECENTLY(215,"没有最近玩的游戏"),
    USER_HAS_REGISTER_MAILBOX(216,"邮箱已被使用"),
    //用户修改密码
    USER_MODIFY_ERROR(217,"修改密码发生错误"),
    USER_MODIFY_ACCOUNT_ERROR(218, "修改密码账号错误"),
    USER_OLD_PASSWORD_ERROR(219,"旧密码错误"),
    ;
    private Integer code;

    private String message;

    UserEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
